<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Colorize your life!</title>
  <script src="{{ url_for('static', filename='js/jquery-3.5.0.js') }}"></script>
  <link href="{{ url_for('static', filename='css/bootstrap.css') }}" rel="stylesheet" />
  <script src="{{ url_for('static', filename='js/bootstrap.js') }}"></script>
  <script src="{{ url_for('static', filename='js/bootstrap.bundle.js') }}"></script>
  <script>
    $(function () {
      $('[data-toggle="tooltip"]').tooltip()
    })
  </script>
  <link href="https://fonts.googleapis.com/css?family=Poppins:400,600&display=swap" rel="stylesheet">
  <link href="{{ url_for('static', filename='css/style.css') }}" rel="stylesheet" />
  <script src="{{ url_for('static', filename='js/particles.min.js') }}"></script>
  <script>
    /* particlesJS.load(@dom-id, @path-json, @callback (optional)); */
    particlesJS.load('particles-js', "{{ url_for('static', filename='js/particlesjs-config.json') }}", function () {
      
    });
  </script>
  <style>
    {% if user is not none %}
    #particles-js {
      position: absolute;
      width: 100%;
      height: 100%;
      background: #f87474;
      z-index: -1;
    }
    {% else %}
    #particles-js {
      position: absolute;
      width: 100%;
      height: 100%;
      background: #838cff;
      z-index: -1;
    }
    {% endif %}
    
  </style>
  {{ toastr.include_toastr_css() }}
  {{ toastr.message() }}
</head>

<body class="bg-light">
  {{ toastr.include_toastr_js() }}
  <div id="particles-js"></div>
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="pt-5 text-center">
          <img class="d-block mx-auto mb-4" src="{{ url_for('static', filename='logo.png') }}" alt="" height="140">
          <h2>Colorize your life!</h2>
          <p class="lead">Admin panel</p>
        </div>
      </div>
    </div>
    {% for picture in pictures %}
    <div class="row m-2">
      <div class="col-12 d-flex justify-content-around">
        <div class="w-50 bg-light p-2">
          <img src="{{picture.picture_array_black}}" class="rounded float-left" style="width: 256px;height: 256px;" alt="...">
          {% if picture.picture_array_color %}
          <img src="{{picture.picture_array_color}}" class="rounded float-right" style="width: 256px;height: 256px;" alt="...">
          {% else %}
          <img src="/static/uploads/loading.gif" class="rounded float-right" style="width: 256px;height: 256px;" alt="...">
          {% endif %}
        </div>
      </div>
    </div>
    {% endfor %}
  </div>

  <div class="row">
    <div class="col-12 d-flex flex-column align-items-center">
      {% if user is not none %}
      <h4>Hello {{user.username}}!</h4>
      <a href="{{ url_for('admin.logout') }}" class="btn btn-primary" data-toggle="tooltip" data-placement="bottom" title="Press here and logout">Logout</a>
      {% endif %}


    </div>
  </div>

  <footer class="my-5 pt-5 text-dark text-center text-small">
    <p class="mb-1">&copy; {{ now.year }} - Colorize</p>
  </footer>
  </div>



</body>

</html>